/*
 * Copyright (C) 2000, 2001, 2002, Amnon Barak (amnon@MOSIX.org)
 *
 * THIS  SOFTWARE  IS  PROVIDED IN ITS  "AS IS"  CONDITION, WITH NO WARRANTY
 * WHATSOEVER. NO LIABILITY OF ANY KIND FOR ANY DAMAGES WHATSOEVER RESULTING
 * FROM THE USE OF THIS SOFTWARE WILL BE ACCEPTED.
 */
/*
 * Author(s): Amnon Shiloh, Oren Laadan.
 */

#ifndef _MOS_VERSION_H
#define _MOS_VERSION_H

/* The following are the EXTERNAL MOSIX versions, used to enforce compatibility
 * between different MOSIX nodes when migrating and exchanging information -
 * as opposed to the later INTERNAL kernel version, being used for reference
 */
#define MOSIX_MIGRATION_VERSION	0x000039L
#define MOSIX_BALANCE_VERSION	0x000032L

#define MOSIX_KERNEL_VERSION	 10900	/* version 1.9.0 */

#define MOSIX_VERSION_PARTS(x) (x)/10000, ((x)%10000)/100, (x)%100
	
#endif /* _MOS_VERSION_H */
