/*
 * Copyright (C) 2000, 2001, 2002, Amnon Barak (amnon@MOSIX.org)
 *
 * THIS  SOFTWARE  IS  PROVIDED IN ITS  "AS IS"  CONDITION, WITH NO WARRANTY
 * WHATSOEVER. NO LIABILITY OF ANY KIND FOR ANY DAMAGES WHATSOEVER RESULTING
 * FROM THE USE OF THIS SOFTWARE WILL BE ACCEPTED.
 */
/*
 * Author(s): Oren Laadan.
 */
#ifndef _LINUX_MOSCTL_H
#define _LINUX_MOSCTL_H

#ifdef __KERNEL__
#include <linux/socket.h>
#else
#include <sys/socket.h>
#endif /*__KERNEL__*/

#include <mos/mosctl.h>

/* configuration */

#define MOSIX_MAX	65535
#define MAX_MOSNET_ENTS	256

struct mosixnet
{
	int base;
	struct sockaddr saddr;
	int cnt;
};


#endif
