/* dscosts.h -- MOSIX */
/* formal tune between 2 1GHz Pentium-3's connected by 100 MHz Ethernet */

#if __GNUC__ == 3 && __GNUC_MINOR__ >= 2

/* measuring date: Fri Nov 29 01:10:18 EST 2002 */
/* kernel compiled with gcc 3.2 */

#define	PAGE_COST_D	93
#define	PAGE_COST_R	166

#define	SYSCALL_COST_D	40
#define	SYSCALL_COST_R	41

#define	COPYOUT_COST_BASE_D	0
#define	COPYOUT_COST_PER_KB_D	11
#define	COPYOUT_COST_BASE_R	0
#define	COPYOUT_COST_PER_KB_R	20

#define	COPYIN_COST_BASE_D	0
#define	COPYIN_COST_PER_KB_D	20
#define	COPYIN_COST_BASE_R	0
#define	COPYIN_COST_PER_KB_R	13

#define	MIGRATION_COST_BASIC	3379
#define	MIGRATION_COST_PER_PAGE	351

#else

/* measuring date: Thu Sep  5 18:42:48 EDT 2002 */
/* kernel compiled with gcc 2.96 */

#define	PAGE_COST_D	98
#define	PAGE_COST_R	164

#define	SYSCALL_COST_D	40
#define	SYSCALL_COST_R	42

#define	COPYOUT_COST_BASE_D	0
#define	COPYOUT_COST_PER_KB_D	11
#define	COPYOUT_COST_BASE_R	0
#define	COPYOUT_COST_PER_KB_R	21

#define	COPYIN_COST_BASE_D	0
#define	COPYIN_COST_PER_KB_D	20
#define	COPYIN_COST_BASE_R	0
#define	COPYIN_COST_PER_KB_R	13

#define	MIGRATION_COST_BASIC	4752
#define	MIGRATION_COST_PER_PAGE	351

#endif
